// GIGameMgr
//----------

package cw.GI;



public abstract class GIGameMgr 
{
  /**
   * this reference is set automatically by the harness
   * itself when calling setGameMgr().
   */
  public GIHarness mH;
  
  
  /**
   * called when the harness is ready to run
   *
   */
  public abstract void init(int i);
 
 
  
  public abstract boolean inited();
   
  /**
   * called for destruction
   *
   */
  public abstract void done();
 
  
  /**
   * called at regular intervals
   */
  public abstract void step(int clock);
  
  
  /**
   * when its time to print...
   *
   */
  public abstract void paint();
  
}
