// GameElementAxe.java
//-----------

package cw.platf;
import cw.GI.*;
import cw.log.Log;



class GameElementAxe extends  GameElement
{
  
  
  GameElementAxe(Platf pGM,String pName,int pX,int pY,int pImage)
  {
    super(pGM,pName,pX,pY,pImage);
    mIsTouchable=false;
    mIsKillable=false;
  }
  
  public void manage()
  {
    
    if (isThereGround(mSizeX/2,mSizeY/2)) die(); 
    super.manage();
    
    
    // OPT: could start from 1 instead of 0
    for (int i=0;i<mGM.mElementsSize;i++)
    {
      if (mGM.mElements[i]!=null) 
      {        
        GameElement elem=mGM.mElements[i];
        
        if (overlap(elem,0))
        {
          if (elem.mIsKillable && elem.mIsTouchable)
          {
            elem.die();
            die();
            break;
          }
        }
        
        
       
      }
    }
    
    
    
  }
  
  public void die()
  {
      requestDestroy();
  }
  
  
  
  
  
  
  
}
