// GameElementText.java
//----------------------

package cw.platf;
import cw.GI.*;
import cw.log.Log;



public abstract class GameElementMenu extends  GameElement
{
  
  int mPos;
  int mStartY;
  int mMaxPos;
  int mDeltaYPos;
  
  GameElementMenu(Platf pGM,String pName,int pX,int pY,int maxPos,int delta)
  {
    super(pGM,pName,pX,pY,pGM.I_AXE_00);
    mIsTouchable=false;
    mIsKillable=false;
    
     initAutoAnims(1);
     setAutoAnim(0,
        new int[] {
        1,mGM.I_AXE_00,
        1,mGM.I_AXE_01,
        1,mGM.I_AXE_02,
        1,mGM.I_AXE_03,
        -1});
        
     mAutoAnim=true;   
     mAnimMode=0;
  
     mPos=0;   
     mStartY=pY;
     mMaxPos=maxPos;
     mDeltaYPos=delta;
  }
  
  
  
  
  public void manage()
  {
   
    if (mScript!=null) mScript.process();  
    processAutoAnim();
    
    //  keyReqY not used currently
    int mKeyReqX=0;
    int mKeyReqY=0;
    
    if (mH.wasKeyPressed(mH.mKeyCodeUpLeft   )) {mKeyReqX=-1;mKeyReqY=-1;}
    if (mH.wasKeyPressed(mH.mKeyCodeUp       )) {            mKeyReqY=-1;}
    if (mH.wasKeyPressed(mH.mKeyCodeUpRight  )) {mKeyReqX=+1;mKeyReqY=-1;}
    if (mH.wasKeyPressed(mH.mKeyCodeLeft     )) {mKeyReqX=-1;            }
     
    if (mH.wasKeyPressed(mH.mKeyCodeRight    )) {mKeyReqX=+1;            }
    if (mH.wasKeyPressed(mH.mKeyCodeDownLeft )) {mKeyReqX=-1;mKeyReqY=+1;}
    if (mH.wasKeyPressed(mH.mKeyCodeDown     )) {            mKeyReqY=+1;}
    if (mH.wasKeyPressed(mH.mKeyCodeDownRight)) {mKeyReqX=+1;mKeyReqY=+1;}
    
    //Nog.msg('D',"mKeyReqX=",mKeyReqX," mKeyReqY=",mKeyReqY);
 
 
    if (mH.wasKeyPressed(mH.mKeyCodeFire)) 
    {
      menuSelected(mPos);

    }
 
    // now update position in menu 
 
    if (mKeyReqY>0) mPos++;
    if (mKeyReqY<0) mPos--;
    
    if (mPos<0) mPos=mMaxPos-1;
    if (mPos>=mMaxPos) mPos=0;
    
    mY=mPos*mDeltaYPos+mStartY;
    
    
    
  }
  public abstract void menuSelected(int pPos);

}